View Issue Details

IDProjectCategoryView StatusLast Update
0024128mantisbtadministrationpublic2018-06-09 16:26
ReporterMarcoWAssigned Toatrol 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version2.12.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0024128: Unable to start system check or installation with wrong PHP version
Description

When webserver has older version of php, neither the check or the installation routine begin to start. So for mantisbt 2.12.0 the minimum required PHP version is 5.5.x.
I have 5.3.17 on my webserver, which was good for mantisbt 2.2.0.

In readme the second point says you have to check system requirements with http://path/to/mantisbt/admin/check/index.php. In my environment it gaves me a blank page.
This is caused through an error:

PHP Parse error: syntax error, unexpected '[' in mantisbt-2.12.0/vendor/guzzlehttp/psr7/src/functions.php on line 78

So its not userfriendly when already the system check doesnt work. Otherwise the system requirements on PHP version are clearly described. So i dont know if this is a blocker or an failure caused by admin.

TagsNo tags attached.

Relationships

related to 0023378 closedatrol Installation fails when using old but still allowed PHP version 5.3 
related to 0024501 closedatrol MantisBT on Windows - Check for php_fileinfo.dll enabled on php.ini 

Activities

dregad

dregad

2018-03-16 07:58

developer   ~0059229

Last edited: 2018-03-16 07:59

View 2 revisions

which was good for mantisbt 2.2.0.

The minimum requirement - as stated in the documentation - is 5.5.x for all 2.x versions. We only started effectively enforcing that with 2.7.0.

I agree that the user-friendliness could be improved, but at the same time I believe that as a system admin you should a) RTFM and b) be able to check a system log for errors when something unexpected happens...

MarcoW

MarcoW

2018-03-16 14:29

reporter   ~0059230

I agree to you and like i wrote i know what cause the error ;).

So i have done a), the readme which comes with mantis says check the system with check/index.php and this doesn't even work. So i've taken a look in the server log.
And as a programmer it pains me when software cause an error and you have to search for it instead of getting a clear message ;)
So i thought the check does what the name says and checks if the system in its configuration is compatible with mantis.

atrol

atrol

2018-03-17 16:16

developer   ~0059234

PR https://github.com/mantisbt/mantisbt/pull/1318

Related Changesets

MantisBT: master 1eb5ff1c

2018-03-17 16:10:27

atrol

Details Diff
Check early for minimum PHP version

Fixes 0024128
Affected Issues
0024128
mod - core.php Diff File

MantisBT: master 133cb5a0

2018-03-18 06:01:05

atrol

Details Diff
Check fileinfo extension only if needed

Issue 0024128
Affected Issues
0024128
mod - admin/check/check_attachments_inc.php Diff File
mod - admin/check/check_php_inc.php Diff File

MantisBT: master cdffd5a4

2018-03-23 10:41:05

atrol

Details Diff
Correct Admin Guide concerning fileinfo extension

Issue 0024128
Affected Issues
0024128
mod - docbook/Admin_Guide/en-US/Installation.xml Diff File

Issue History

Date Modified Username Field Change
2018-03-16 04:18 MarcoW New Issue
2018-03-16 06:50 atrol Relationship added related to 0023378
2018-03-16 07:58 dregad Note Added: 0059229
2018-03-16 07:59 dregad Note Edited: 0059229 View Revisions
2018-03-16 14:29 MarcoW Note Added: 0059230
2018-03-17 16:15 atrol Assigned To => atrol
2018-03-17 16:15 atrol Status new => assigned
2018-03-17 16:16 atrol Target Version => 2.13.0
2018-03-17 16:16 atrol Note Added: 0059234
2018-03-23 15:16 atrol Changeset attached => MantisBT master 1eb5ff1c
2018-03-23 15:16 atrol Changeset attached => MantisBT master 133cb5a0
2018-03-23 15:16 atrol Changeset attached => MantisBT master cdffd5a4
2018-03-23 15:16 atrol Status assigned => resolved
2018-03-23 15:16 atrol Resolution open => fixed
2018-03-23 15:16 atrol Fixed in Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed
2018-06-09 16:26 atrol Relationship added related to 0024501